import { ElementRef } from '@angular/core';
import { EventsService } from '../services/events.service';
import { PositionLayoutModal } from '../styles/style.model';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PositionLayoutDirectiveDirective {
    private el;
    private eventService;
    positionLayout?: PositionLayoutModal;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    changePositionLayout(): void;
    removeAllClassIfPresent(): void;
    positionLayoutSubscription?: Subscription;
    positionLayoutChangeCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PositionLayoutDirectiveDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PositionLayoutDirectiveDirective, "[simpoPositionLayoutDirective]", never, { "positionLayout": { "alias": "simpoPositionLayoutDirective"; "required": false; }; }, {}, never, never, true, never>;
}
